Glue Up API
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
  1. Membership Collection
  • Retrieve the Membership Directory Settings
    GET
  • Retrieve Default Company Application Form
    GET
  • Retrieve Default Individual Application Form
    GET
  • Retrieve All Company Application Forms
    POST
  • Retrieve All Individual Application Forms
    POST
  • Retrieve All Company Application Form Fields
    GET
  • Retrieve All Individual Application Form Fields
    GET
  • Retrieve the Company Membership Directory List
    POST
  • Retrieve the Basic Company Membership Directory List
    POST
  • Retrieve a Company Membership
    GET
  • Retrieve the Individual Membership Directory List
    POST
  • Retrieve a Individual Membership
    GET
  • Retrieve the Membership Member Directory List
    POST
  • Retrieve the Basic Membership Member Directory List
    POST
  • Retrieve the Membership Member by Member ID
    GET
  • Retrieve the Membership Member Directory List By User
    POST
  • Retrieve the Membership Industry List By Membership Type
    GET
  • Retrieve the Membership Type List By Page
    POST
  • Retrieve the Membership List By Page
    GET
  1. Membership Collection

Retrieve All Individual Application Form Fields

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
GET
/public/membership/individualApplicationFormFields
Retrieve the all the fields of individual membership type application forms of an organization, including those that belong to custom application forms. This endpoint returns an array of individual application form fields.

Request

Header Params

Responses

🟢200
application/json
All individual application form fields returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/public/membership/individualApplicationFormFields' \
--header 'a;'
Response Response Example
[
    {
        "id": "6305829fe4b0b231a7e62828",
        "key": "image",
        "type": "image",
        "isDefault": true,
        "createdOn": 1661305503552,
        "lastModified": 1661305503552
    },
    {
        "id": "6305829fe4b0b231a7e62821",
        "key": "givenName",
        "type": "text",
        "isDefault": true,
        "createdOn": 1661305503552,
        "lastModified": 1661305503552
    },
    {
        "id": "6305829fe4b0b231a7e62822",
        "key": "familyName",
        "type": "text",
        "isDefault": true,
        "createdOn": 1661305503552,
        "lastModified": 1661305503552
    },
    {
        "id": "6305829fe4b0b231a7e62823",
        "key": "emailAddress",
        "type": "email",
        "isDefault": true,
        "createdOn": 1661305503552,
        "lastModified": 1661305503552
    },
    {
        "id": "6305829fe4b0b231a7e62825",
        "key": "phoneNumber",
        "type": "tel",
        "isDefault": true,
        "createdOn": 1661305503552,
        "lastModified": 1661305503552
    },
    {
        "id": "6305829fe4b0b231a7e62826",
        "key": "companyName",
        "type": "text",
        "isDefault": true,
        "createdOn": 1661305503552,
        "lastModified": 1661305503552
    },
    {
        "id": "6305829fe4b0b231a7e62827",
        "key": "positionTitle",
        "type": "text",
        "isDefault": true,
        "createdOn": 1661305503552,
        "lastModified": 1661305503552
    }
]
Modified at 2026-06-29 08:37:20
Previous
Retrieve All Company Application Form Fields
Next
Retrieve the Company Membership Directory List
Built with